
From: Steffen Motzer <motzersn@t-link.de>

Fix tuning failure for 200103A, 200103A failed to tune to low band due to
wrong tone setting on the 200103A.

Signed-off-by: Steffen Motzer <motzersn@t-link.de>
Signed-off-by: Manu Abraham <manu@kromtek.com>
Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/bt8xx/dst.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletion(-)

diff -puN drivers/media/dvb/bt8xx/dst.c~dvb-dst-fix-tuning-problem drivers/media/dvb/bt8xx/dst.c
--- devel/drivers/media/dvb/bt8xx/dst.c~dvb-dst-fix-tuning-problem	2005-07-01 21:14:21.000000000 -0700
+++ devel-akpm/drivers/media/dvb/bt8xx/dst.c	2005-07-01 21:14:21.000000000 -0700
@@ -1147,7 +1147,11 @@ static int dst_set_tone(struct dvb_front
 
 	switch (tone) {
 		case SEC_TONE_OFF:
-			state->tx_tuna[2] = 0xff;
+			if (state->type_flags & DST_TYPE_HAS_OBS_REGS)
+			    state->tx_tuna[2] = 0x00;
+			else
+			    state->tx_tuna[2] = 0xff;
+
 			break;
 
 		case SEC_TONE_ON:
_
